<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.Pane?>

<Pane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.AddSubjectController">
   <children>
      <ImageView fitHeight="400.0" fitWidth="600.0" opacity="0.8" pickOnBounds="true" preserveRatio="true">
         <image>
            <Image url="@ikone/pozadina.jpg" />
         </image>
      </ImageView>
      <ComboBox fx:id="semesterComboBox" layoutX="80.0" layoutY="220.0" opacity="0.8" prefHeight="26.0" prefWidth="170.0" style="-fx-background-color: #B39374;" />
      <Label layoutX="80.0" layoutY="200.0" text="Semestar:" />
      <TextField fx:id="textField" layoutX="80.0" layoutY="120.0" />
      <Label layoutX="80.0" layoutY="100.0" text="Naziv novog predmeta:" />
      <Button layoutX="91.0" layoutY="314.0" mnemonicParsing="false" onAction="#addSubjectDBButton" style="-fx-background-color: #B39374;" text="Dodaj" textFill="WHITE" />
      <Label layoutX="80.0" layoutY="150.0" text="Usmjerenje:" />
      <ComboBox fx:id="orientationComboBox" layoutX="80.0" layoutY="170.0" onAction="#changeOrientation" opacity="0.8" prefHeight="26.0" prefWidth="170.0" style="-fx-background-color: #B39374;" />
      <Button fx:id="cancelbutton" cancelButton="true" layoutX="165.0" layoutY="314.0" mnemonicParsing="false" onAction="#nazad" style="-fx-background-color: #B39374;" text="Nazad" textFill="WHITE" />
      <Label layoutX="300.0" layoutY="80.0" text="Postojeci predmeti:" />
      <ScrollPane fx:id="SubjectScrollPane" layoutX="300.0" layoutY="100.0" prefHeight="200.0" prefWidth="200.0">
         <content>
            <AnchorPane layoutX="300.0" layoutY="100.0" minHeight="0.0" minWidth="0.0" opacity="0.6" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: D6BCA2;" />
         </content>
      </ScrollPane>
   </children>
</Pane>
